Subject: Re: [bug#36957] [PATCH] machine: Allow non-root users to deploy.

From: Ricardo Wurmus <[email-masked]>
Date: Wed, 07 Aug 2019 22:34:47 +0200

Hi Jakob,

>> I haven’t yet looked over the patches, but when I saw that it mentions
>> “sudo” I wondered: is it feasible to support “su” with interactive (or
>> cached) password input as well?
>
> I believe so. This would require two additions:
>
> - Code to interact with the 'su' prompt.
> - Some way for 'managed-host-environment-type' to obtain root's
>   password, which I imagine would be either a prompt or a field in the
>   configuration record.

Sounds good.  IIRC Ansible has support for both sudo and su, so it’s
good that there’s a way to do both in the future.

Thanks!

-- 
Ricardo